Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

API/Repository/NotificationService.php
Go to the documentation of this file.
1 <?php
2
7 declare(strict_types=1);
8
9 namespace eZ\Publish\API\Repository;
10
11 use eZ\Publish\API\Repository\Values\Notification\CreateStruct;
12 use eZ\Publish\API\Repository\Values\Notification\Notification;
13 use eZ\Publish\API\Repository\Values\Notification\NotificationList;
14
19 interface NotificationService
20 {
29 public function loadNotifications(int $offset, int $limit): NotificationList;
30
40 public function getNotification(int $notificationId): Notification;
41
50 public function markNotificationAsRead(Notification $notification): void;
51
57 public function getPendingNotificationCount(): int;
58
64 public function getNotificationCount(): int;
65
75 public function createNotification(CreateStruct $createStruct): Notification;
76
82 public function deleteNotification(Notification $notification): void;
83 }
eZ\Publish\API\Repository\Values\Notification\CreateStruct
Definition: API/Repository/Values/Notification/CreateStruct.php:14
eZ\Publish\API\Repository\Values\Notification\NotificationList
Definition: NotificationList.php:16
eZ\Publish\API\Repository\Values\Notification\Notification
Definition: API/Repository/Values/Notification/Notification.php:24
eZ\Publish\API\Repository\NotificationService
Service to manager user notifications.
Definition: API/Repository/NotificationService.php:20
eZ\Publish\API\Repository\NotificationService\getPendingNotificationCount
getPendingNotificationCount()
Get count of unread users notifications.
eZ\Publish\API\Repository\NotificationService\getNotification
getNotification(int $notificationId)
Load single notification (by ID).
eZ\Publish\API\Repository\NotificationService\markNotificationAsRead
markNotificationAsRead(Notification $notification)
Mark notification as read so it no longer bother the user.
eZ\Publish\API\Repository\NotificationService\deleteNotification
deleteNotification(Notification $notification)
Deletes a notification.
eZ\Publish\API\Repository\NotificationService\createNotification
createNotification(CreateStruct $createStruct)
Creates a new notification.
eZ\Publish\API\Repository\NotificationService\getNotificationCount
getNotificationCount()
Get count of total users notifications.
eZ\Publish\API\Repository\NotificationService\loadNotifications
loadNotifications(int $offset, int $limit)
Get currently logged user notifications.
eZ\Publish\API\Repository
Definition: API/Repository/BookmarkService.php:9
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.